var nomPartSelected = "";
var tabNom = new Array();
var idMinPage = 0;
var tabImage = null;
function setFocus() {
if (document.getElementById('login').value != "") {
document.getElementById('pwd').focus();
} else {
document.getElementById('login').focus();
}
}
function filtreParticipant(nbPhotos,nom,filter,ord) {
parent.frames['basAdmin'].location.replace("fotoweb23.php?nbPhotos="+nbPhotos+"&nom="+nom+"&filter="+filter+"&ord="+ord);
}
function initPwd() {
document.getElementById('txtPwd').value = "";
document.getElementById('txtConfirm').value = "";
document.getElementById('txtLogin').select()
}
function ouvrirImage(idPhoto,nomPhoto,codeTheme) {
top.frames['bas'].frames['centre'].location.replace("fotoweb73.php?id="+idPhoto+"&pathPhoto="+nomPhoto);
if (top.frames['bas'].frames['gauche'] != null)
top.frames['bas'].frames['gauche'].location.replace("fotoweb56.php?img="+nomPhoto);
}
function rolloverIn(nameImg) {
nom = String(nameImg);
image2 = new Image;
image2.src = "../ergonomie/_images/"+nom+"_over.gif";
document.getElementById(nameImg).src = image2.src;
}
function rolloverOut(nameImg) {
nom = String(nameImg);
image1 = new Image;
image1.src = "../ergonomie/_images/"+nom+".gif";
document.getElementById(nameImg).src = image1.src;
}
function selectionnerTheme(codeTheme,nbPhoto) {
top.frames['bas'].location.replace("fotoweb67.php?codeTheme="+codeTheme+"&nbPhoto="+nbPhoto);
}
function lienOver(id) {
id.className = "lienthemeHover";
}
function lienOut(id) {
id.className = "lientheme";
}
function cacherNavigation() {
top.frames['menuDroiteHaut'].location.replace("fotoweb44.html");
top.frames['menuDroiteBas'].location.replace("fotoweb44.html");
}
function updateMenu(page,codeTheme) {
if (page == 'A') {
window.parent.parent.location='../fotoweb.php?logout=TRUE';

} else {
top.frames['menu'].location.replace("fotoweb63.php?menu="+page+"&codeTheme="+codeTheme);
cacherNavigation();
}
}
function ajouterParticipant(login,pwd,confirme) {
if (login == "") {
alert("Saisissez un nom de login");
document.getElementById('txtLogin').focus();
} else if (pwd == "") {
alert("Saisissez un mot de passe");
document.getElementById('txtPwd').focus();
} else if (confirme == "") {
alert("Veuillez confirmer le mot de passe");
document.getElementById('txtConfirm').focus();
} else if (pwd != confirme) {
alert("Incohérence entre les mots de passe saisis. Recommencer. ");
alert(document.getElementById('txtPwd').value);
alert(document.getElementById('txtConfirm').value);
document.getElementById('txtPwd').value = "";
document.getElementById('txtConfirm').value = ""
document.getElementById('txtPwd').focus();
} else {
loadScript("majPart","fotoweb10.php?login="+login+"&pwd="+pwd);
}
}
function checkEnterLogin(e,login,pwd,confirme) {

gk=window.Event?1:0;

var touche=gk?e.which:window.event.keyCode;
if(touche ==13)
ajouterParticipant(login,pwd,confirme);

}
function selectChamp(idChamp) {
document.getElementById(idChamp).select();
}
function chargerTheme(nom) {
nomPartSelected = nom;
loadScript("chargTheme","fotoweb27.php?nom="+nom);
}
function filtreRobots(nbPhotos,nom,filter,ord) {
parent.frames['basAdmin'].location.replace("fotoweb24.php?nbPhotos="+nbPhotos+"&nom="+nom+"&filter="+filter+"&ord="+ord);
}
function filtreVisiteurs(nbLignes,nom,critDate,critNbVisit,critReferer,critResol,critHostname,critIP,critIdPhoto,critUserAgent) {
parent.frames['basAdmin'].location.replace("fotoweb25.php?nbLignes="+nbLignes+"&nom="+nom +"&critReferer="+critReferer  +"&critResol="+critResol +"&critHostname="+critHostname +"&critIP="+critIP +"&critIdPhoto="+critIdPhoto +"&critUserAgent="+critUserAgent +"&critDate="+critDate+"&critNbVisit="+critNbVisit);
}
function enregistrerHabilitationParticipant(nbTheme) {
var tabTheme = new Array();
if (nomPartSelected == "") {
alert("Veuillez sélectionner un participant.");
} else {
var j=0;
var str = "";
for (i=0; i<=nbTheme; i++) {
if (nomPartSelected=='public'){
if (document.getElementById('chkPublic'+i) != null) {
if (document.getElementById('chkPublic'+i).checked == true) {
tabTheme[j] = "PU"+i;
j++;
}
}
}else

if (document.getElementById('chkVip'+i) != null) {
if (document.getElementById('chkVip'+i).checked == true) {
tabTheme[j] = "VI"+i;
j++;
} else if (document.getElementById('chkPrive'+i).checked == true) {
tabTheme[j] = "PR"+i;
j++;
}
}
}
for (i=0; i<tabTheme.length; i++) {
str += tabTheme[i]+"|";
}

loadScript("enregHabilPart","fotoweb11.php?listeTheme="+str+"&nomParticipant="+nomPartSelected);
}
}
function chargerParticipant(codeTheme,nbParticipant) {
loadScript("chargerParticipant","fotoweb28.php?codeTheme="+codeTheme+"&nbParticipant="+nbParticipant);
}
function enregistrerHabilitationTheme(nbParticipants,codeTheme,tableauNom,modif) {
if (codeTheme == "") {
alert("Veuillez sélectionner un thème dans la liste");
} else {
tableauNom = tableauNom.split("|");
var tabNom = new Array();
var j=0;
var str = "";

for (i=0; i<nbParticipants; i++) {
if (document.getElementById('chkVip'+tableauNom[i]) != null) {
if (document.getElementById('chkVip'+tableauNom[i]).checked == true) {
tabNom[j] = "VI"+tableauNom[i];
j++;
} else if (document.getElementById('chkPrive'+tableauNom[i]).checked == true) {
tabNom[j] = "PR"+tableauNom[i];
j++;
}

}
}
if (document.getElementById('chkPublic') != null) {
if (document.getElementById('chkPublic').checked == true) {
tabNom[j] = "PUpublic";
}
}
for (i=0; i<tabNom.length; i++) {
str += tabNom[i]+"|";

}
if (tabNom.length == 0) {
alert("Veuillez sélectionner au moins un participant.");
} else {
loadScript("enregHabilTheme","fotoweb33.php?listeParticipant="+str+"&codeTheme="+codeTheme+"&modif="+modif);
}
}
}
function supprimerParticipant(pNom) {

if (pNom == "") {
alert("Sélectionnez le participant à supprimer");
} else {
var reponse = window.confirm("ATTENTION : Etes-vous sûr de vouloir supprimer ce participant \nainsi que les relations avec les thèmes qui lui sont associées ?");
if (reponse)
loadScript("suppPart","fotoweb12.php?nomSupp="+pNom);

}
}
function supprimerTheme(pCodeTheme) {
if (pCodeTheme == "") {
alert("Sélectionnez le thème à supprimer");
} else {
var reponse = window.confirm("ATTENTION : Etes-vous sûr de vouloir supprimer ce thème, ses photos\nainsi que les relations avec les participants qui lui sont associées ?");
if (reponse)
loadScript("suppTheme","fotoweb35.php?codeSupp="+pCodeTheme);
}

}
function controleDate(pEvent,idDate) {
var date = document.getElementById('idDate').value;
if (((pEvent.keyCode < 96) || (pEvent.keyCode > 105))
&& ((pEvent.keyCode < 35) || (pEvent.keyCode > 39))
&& (pEvent.keyCode != 8)
&& (pEvent.keyCode != 9)
&& (pEvent.keyCode != 13)
&& (pEvent.keyCode != 16)
&& (pEvent.keyCode != 17)
&& (pEvent.keyCode != 45)
&& (pEvent.keyCode != 46)
&& (pEvent.keyCode != 32)) {
var tmpDate = date.substring(0,date.length-1);
document.getElementById('idDate').value = tmpDate;
}
}
function formatteDate(idDate) {
var date = document.getElementById('idDate').value;
if ((date.length != 8) && (date != "")) {
alert("Erreur de saisie.\nVeuillez saisir une date au format jj/mm/yyyy.");
document.getElementById('idDate').focus();
} else if (date.length == 8) {
var jour = date.substring(0,2);
var mois = date.substring(2,4);
var year = date.substring(4,8);
var dateFormat = jour + "/" + mois + "/" +year;
document.getElementById('idDate').value = dateFormat;
}
}
function deFormatteDate(idDate) {
var date = document.getElementById('idDate').value;
if (date.length == 10) {
var jour = date.substring(0,2);
var mois = date.substring(3,5);
var year = date.substring(6,10);
var dateFormat = jour + mois + year;
document.getElementById('idDate').value = dateFormat;
}
}
function afficherParticipant(theme,rep,dateCreation) {
if (theme == "") {
alert("Le nom du thème est obligatoire");
document.getElementById('txtTheme').focus();
} else if (rep == "") {
alert("Le nom du répertoire est obligatoire");
document.getElementById('txtRep').focus();
} else if (dateCreation == "") {
alert("La date de création est obligatoire");
document.getElementById('idDate').focus();
} else {
if (document.getElementById('chkPano').checked)
document.getElementById('chkPano').value='1';
else
document.getElementById('chkPano').value='0';
document.getElementById('formAdmin').submit();
}
}
function retourTheme(theme,repertoire,dateCreation,commentaire) {
parent.frames['basAdmin'].location.replace("fotoweb39.php?theme="+theme+"&repertoire="+repertoire+"&dateCreation="+dateCreation+"&commentaire="+commentaire);
}
function terminerTheme() {
parent.frames['basAdmin'].location.replace("fotoweb44.html");

}
function raffraichir() {
document.getElementById('formAdmin').submit();
}
function checkVipTheme(id){
var valeur = document.getElementById(id).value;
if (document.getElementById(id).checked == true) {
document.getElementById('chkPrive'+valeur).checked = true;
}
}
function checkPriveTheme(id){
var valeur = document.getElementById(id).value;
if (document.getElementById(id).checked == false) {
document.getElementById('chkVip'+valeur).checked = false;
}
}
function regenererTheme(codeTheme) {

if (codeTheme == "")
alert("Veuillez sélectionner un thème dans la liste");
else
parent.frames['basAdmin'].location.replace("fotoweb38.php?codeTheme="+codeTheme);


}
function supprimeMessage(idMessage) {

var reponse = window.confirm("ATTENTION : Etes-vous sûr de vouloir supprimer ce Message ?");
if (reponse)
parent.frames['bas'].location.replace("fotoweb7.php?suppID=" + idMessage+ "&minIntervention=0");


}
function loadScript(idScript,source) {
try{
/* On créé l'attribut Id et on lui affecte la valeur "idScript" */
MyID = document.createAttribute("id");
MyID.nodeValue = idScript;
/* On créé l'attribut language=javascript  */
MyLanguage = document.createAttribute("language");
MyLanguage.nodeValue = "javascript";
/* On créé l'attribut type=text/javascript  */
MyType = document.createAttribute("type");
MyType.nodeValue = "text/javascript";
/* On créé l'attribut Src et on lui affecte le chemin du fichier source */
MySrc = document.createAttribute("src");
MySrc.nodeValue = source;
/* On créé la nouvelle balise <script> et lui attribut MyID et MySrc */
MyScript = document.createElement("script");
MyScript.setAttributeNode(MyLanguage);
MyScript.setAttributeNode(MyType);
MyScript.setAttributeNode(MyID);
MyScript.setAttributeNode(MySrc);
/* On place la balise dans le document */
document.documentElement.appendChild(MyScript);
}catch(e){
alert('Votre navigateur est trop vieux, choisissez en un qui gère document.createAttribut :'+e);
}
}
